package com.zm.order.tool.server.dto;

import com.alibaba.fastjson.JSON;

import java.util.Map;

/**
 * @Description 简短的订单折扣
 * @Author: ph
 * @Date: 2019/12/3 09:33
 */
public class InnerOrderDiscount {

    /**
     * 主键
     */
    private Long id;

    /**
     * 优惠ID
     */
    private String discountId;

    /**
     * 优惠类型
     */
    private Integer discountType;

    /**
     * 优惠名称
     */
    private String discountName;

    /**
     * 优惠文案
     */
    private String discountText;

    /**
     * 折扣描述
     */
    private String discountSummary;

    /**
     * 优惠金额
     */
    private Integer discountAmount;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 扩展信息
     */
    private Map<String, Object> extraMap;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Map<String, Object> getExtraMap() {
        return extraMap;
    }

    public void setExtraMap(Map<String, Object> extraMap) {
        this.extraMap = extraMap;
    }

    public String getDiscountId() {
        return discountId;
    }

    public void setDiscountId(String discountId) {
        this.discountId = discountId;
    }

    public Integer getDiscountType() {
        return discountType;
    }

    public void setDiscountType(Integer discountType) {
        this.discountType = discountType;
    }

    public String getDiscountName() {
        return discountName;
    }

    public void setDiscountName(String discountName) {
        this.discountName = discountName;
    }

    public String getDiscountSummary() {
        return discountSummary;
    }

    public void setDiscountSummary(String discountSummary) {
        this.discountSummary = discountSummary;
    }

    public Integer getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(Integer discountAmount) {
        this.discountAmount = discountAmount;
    }

    public String getDiscountText() {
        return discountText;
    }

    public void setDiscountText(String discountText) {
        this.discountText = discountText;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
